# Enum Class GraphicsDevice.WindowTranslucency

java.lang.Object
java.lang.Enum<GraphicsDevice.WindowTranslucency>
java.awt.GraphicsDevice.WindowTranslucency

All Implemented Interfaces:
  `Serializable, Comparable<GraphicsDevice.WindowTranslucency>, Constable`

Enclosing class:
  `GraphicsDevice`

public static enum GraphicsDevice.WindowTranslucency extends Enum<GraphicsDevice.WindowTranslucency>
Kinds of translucency supported by the underlying system.

Since:
  1.7
See Also:
  - `GraphicsDevice.isWindowTranslucencySupported(GraphicsDevice.WindowTranslucency)`

- ## Nested Class Summary

  ### Nested classes/interfaces declared in class Enum

  `Enum.EnumDesc<E>`
  Modifier and Type
  Class
  Description
  `static final class`
  `Enum.EnumDesc<E extends Enum<E>>`
  A nominal descriptor for an `enum` constant.

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `PERPIXEL_TRANSLUCENT`
  Represents support in the underlying system for windows that contain or might contain pixels with arbitrary alpha values between and including 0.0 and 1.0.
  `PERPIXEL_TRANSPARENT`
  Represents support in the underlying system for windows each pixel of which is guaranteed to be either completely opaque, with an alpha value of 1.0, or completely transparent, with an alpha value of 0.0.
  `TRANSLUCENT`
  Represents support in the underlying system for windows all of the pixels of which have the same alpha value between or including 0.0 and 1.0.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static GraphicsDevice.WindowTranslucency`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static GraphicsDevice.WindowTranslucency[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods declared in class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`
  Modifier and Type
  Method
  Description
  `protected final Object`
  `clone()`
  Throws CloneNotSupportedException.
  `final int`
  `compareTo(GraphicsDevice.WindowTranslucency o)`
  Compares this enum with the specified object for order.
  `final Optional<Enum.EnumDesc<GraphicsDevice.WindowTranslucency>>`
  `describeConstable()`
  Returns an enum descriptor `EnumDesc` for this instance, if one can be constructed, or an empty `Optional` if one cannot be.
  `final boolean`
  `equals(Object other)`
  Returns true if the specified object is equal to this enum constant.
  `protected final void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization has been deprecated for removal.
  `final Class<GraphicsDevice.WindowTranslucency>`
  `getDeclaringClass()`
  Returns the Class object corresponding to this enum constant's enum type.
  `final int`
  `hashCode()`
  Returns a hash code for this enum constant.
  `final String`
  `name()`
  Returns the name of this enum constant, exactly as declared in its enum declaration.
  `final int`
  `ordinal()`
  Returns the ordinal of this enumeration constant (its position in its enum declaration, where the initial constant is assigned an ordinal of zero).
  `String`
  `toString()`
  Returns the name of this enum constant, as contained in the declaration.
  `static <T extends Enum<T>>
  T`
  `valueOf(Class<T> enumClass, String name)`
  Returns the enum constant of the specified enum class with the specified name.

  ### Methods declared in class Object

  `getClass, notify, notifyAll, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Enum Constant Details

  - ### PERPIXEL_TRANSPARENT

    public static final GraphicsDevice.WindowTranslucency PERPIXEL_TRANSPARENT
    Represents support in the underlying system for windows each pixel of which is guaranteed to be either completely opaque, with an alpha value of 1.0, or completely transparent, with an alpha value of 0.0.

  - ### TRANSLUCENT

    public static final GraphicsDevice.WindowTranslucency TRANSLUCENT
    Represents support in the underlying system for windows all of the pixels of which have the same alpha value between or including 0.0 and 1.0.

  - ### PERPIXEL_TRANSLUCENT

    public static final GraphicsDevice.WindowTranslucency PERPIXEL_TRANSLUCENT
    Represents support in the underlying system for windows that contain or might contain pixels with arbitrary alpha values between and including 0.0 and 1.0.

- ## Method Details

  - ### values

    public static GraphicsDevice.WindowTranslucency[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static GraphicsDevice.WindowTranslucency valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null